### Signal

# Gtk Switch::activate

#### Declaration

    void
    activate (
      GtkSwitch self,
      gpointer user_data
    )

#### Description [src]

Emitted to animate the switch.

Applications should never connect to this signal, but use the `GtkSwitch:active` property.

Default handler: | The default handler is called before the handlers added via `g_signal_connect()`.
The signal can be emitted directly